Problem with virtualbox [SOLVED]

Questions about applications and software
Forum rules
Before you post please read this

Problem with virtualbox [SOLVED]

Postby Verlager on Fri Jul 04, 2008 4:34 am

I am using LM 5.0 Elyssa and installed virtualbox-ose from the repositories. I also installed virtualbox-ose-guest module for linux-image-generic. Yet:

Code: Select all
VirtualBox kernel driver not installed. The vboxdrv kernel module was either not loaded or /dev/vboxdrv was not created for some reason. Please install the virtualbox-ose-modules package for your kernel, e.g. virtualbox-ose-modules-generic..
VBox status code: -1908 (VERR_VM_DRIVER_NOT_INSTALLED).

Result Code: 0x80004005
Component: Console
Interface: IConsole {1dea5c4b-0753-4193-b909-22330f64ec45}


How can I fix this?
Last edited by Verlager on Fri Jul 04, 2008 1:55 pm, edited 1 time in total.
Verlager
Level 1
Level 1
 
Posts: 49
Joined: Sun Jul 01, 2007 1:23 pm

Linux Mint is funded by ads and donations.
 

Re: Problem with virtualbox

Postby Husse on Fri Jul 04, 2008 6:01 am

That's odd
Check that you have the right virtualbox installed - there are versions for more than one kernel in the repos
you should have 2.6.24-16 but check with " uname -r "
You should have
virtualbox-ose module for linux-image-2.6.24-16-generic

and
virtualbox-ose

+ the proper guest modules
If you have - check the properties to see if any dependencies are not met
Image
Don't fix it if it ain't broken, don't break it if you can't fix it
Husse
Level 21
Level 21
 
Posts: 19710
Joined: Sun Feb 11, 2007 7:22 am
Location: Near Borås Sweden

Re: Problem with virtualbox

Postby Verlager on Fri Jul 04, 2008 7:02 am

Huh... I don't have that old kernel. I have "19". Are you using LM 4.0 Daryna? I am using LM 5.0 Elyssa.
Code: Select all
rmack@multiple ~ $ uname -r
2.6.24-19-generic
rmack@multiple ~ $

and I have the virtualbox-ose-guest-modules-2.6.26-19-generic installed, too. Yes, I did a reboot.
Last edited by Verlager on Fri Jul 04, 2008 7:22 am, edited 1 time in total.
Verlager
Level 1
Level 1
 
Posts: 49
Joined: Sun Jul 01, 2007 1:23 pm

Re: Problem with virtualbox

Postby Husse on Fri Jul 04, 2008 7:14 am

You must have updated level 4 and 5 - kernel 19 is there and a few other things
The kernel should give you a new line in grub - boot with 19 or boot with 16 but there is a risk that things like wifi stops working
As long as all your virtualbox is for 19 it's ok, but I suspect that is not the case - search for virtualbox in synaptic and check that everything installed is for 19
Image
Don't fix it if it ain't broken, don't break it if you can't fix it
Husse
Level 21
Level 21
 
Posts: 19710
Joined: Sun Feb 11, 2007 7:22 am
Location: Near Borås Sweden

Re: Problem with virtualbox

Postby Verlager on Fri Jul 04, 2008 1:11 pm

I just installed virtualbox from the clear and concise source instructions at http://www.virtualbox.org/wiki/Linux%20build%20instructions I generally prefer installing packages directly from the repos, though I suspect that compiling gives a cleaner, more hardware-specfic install. It's strange that Zenwalk 5.2 has the latest virtualbox 1.62 pre-built binaries in their netpkg repo, but ubuntu and LM have the old 1.5x version. Maybe soon xvb 1.62 be available for Ubuntu/LM.
Verlager
Level 1
Level 1
 
Posts: 49
Joined: Sun Jul 01, 2007 1:23 pm


Return to Software & Applications

Who is online

Users browsing this forum: ajgreeny and 18 guests